#################################################################
# Makefile generated by Xilinx Platform Studio 
# Project:C:\XUP_work\MC07-mmm\system.xmp
#################################################################

XILINX_EDK_DIR = C:/EDK

SYSTEM = system

MHSFILE = system.mhs

MSSFILE = system.mss

FPGA_ARCH = virtex2p

DEVICE = xc2vp30ff896-7

LANGUAGE = verilog

SEARCHPATHOPT =  -lp C:/XUP_work/xup/lib/

SUBMODULE_OPT = 

PLATGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(SUBMODULE_OPT)

LIBGEN_OPTIONS = -mhs $(MHSFILE) -p $(DEVICE) $(SEARCHPATHOPT)

VPGEN_OPTIONS = -p $(DEVICE) $(SEARCHPATHOPT)

REFSW_OUTPUT_DIR = RefSW
REFSW_OUTPUT = $(REFSW_OUTPUT_DIR)/executable.elf

MICROBLAZE_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/microblaze/mb_bootloop.elf
PPC405_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc405/ppc_bootloop.elf
PPC440_BOOTLOOP = $(XILINX_EDK_DIR)/sw/lib/ppc440/ppc440_bootloop.elf
BOOTLOOP_DIR = bootloops

PPC405_0_BOOTLOOP = $(BOOTLOOP_DIR)/ppc405_0.elf

PPC405_1_BOOTLOOP = $(BOOTLOOP_DIR)/ppc405_1.elf

BRAMINIT_ELF_FILES =   $(PPC405_0_BOOTLOOP) 
BRAMINIT_ELF_FILE_ARGS =   -pe ppc405_0  $(PPC405_0_BOOTLOOP) 

ALL_USER_ELF_FILES = $(REFSW_OUTPUT) 

SIM_CMD = vsim

BEHAVIORAL_SIM_SCRIPT = simulation/behavioral/$(SYSTEM).do

STRUCTURAL_SIM_SCRIPT = simulation/structural/$(SYSTEM).do

TIMING_SIM_SCRIPT = simulation/timing/$(SYSTEM).do

DEFAULT_SIM_SCRIPT = $(BEHAVIORAL_SIM_SCRIPT)

MIX_LANG_SIM_OPT = -mixed yes

SIMGEN_OPTIONS = -p $(DEVICE) -lang $(LANGUAGE) $(SEARCHPATHOPT) $(BRAMINIT_ELF_FILE_ARGS) $(MIX_LANG_SIM_OPT)  -s mti


LIBRARIES =  \
       ppc405_0/lib/libxil.a  \
       ppc405_1/lib/libxil.a 
VPEXEC = virtualplatform/vpexec.exe

LIBSCLEAN_TARGETS = ppc405_0_libsclean ppc405_1_libsclean 

PROGRAMCLEAN_TARGETS = RefSW_programclean 

CORE_STATE_DEVELOPMENT_FILES = 

WRAPPER_NGC_FILES = implementation/ppc405_0_wrapper.ngc \
implementation/ppc405_1_wrapper.ngc \
implementation/jtagppc_0_wrapper.ngc \
implementation/reset_block_wrapper.ngc \
implementation/docm_wrapper.ngc \
implementation/docm_cntlr_wrapper.ngc \
implementation/refhw_0_wrapper.ngc \
implementation/plb_wrapper.ngc \
implementation/opb_wrapper.ngc \
implementation/plb2opb_wrapper.ngc \
implementation/rs232_uart_1_wrapper.ngc \
implementation/ddr_512mb_64mx64_rank2_row13_col10_cl2_5_wrapper.ngc \
implementation/plb_bram_if_cntlr_1_wrapper.ngc \
implementation/plb_bram_if_cntlr_1_bram_wrapper.ngc \
implementation/sysclk_inv_wrapper.ngc \
implementation/clk90_inv_wrapper.ngc \
implementation/ddr_clk90_inv_wrapper.ngc \
implementation/dcm_0_wrapper.ngc \
implementation/dcm_1_wrapper.ngc

POSTSYN_NETLIST = implementation/$(SYSTEM).ngc

SYSTEM_BIT = implementation/$(SYSTEM).bit

DOWNLOAD_BIT = implementation/download.bit

SYSTEM_ACE = implementation/$(SYSTEM).ace

UCF_FILE = data/system.ucf

BMM_FILE = implementation/$(SYSTEM).bmm

BITGEN_UT_FILE = etc/bitgen.ut

XFLOW_OPT_FILE = etc/fast_runtime.opt
XFLOW_DEPENDENCY = __xps/xpsxflow.opt $(XFLOW_OPT_FILE)

XPLORER_DEPENDENCY = __xps/xplorer.opt
XPLORER_OPTIONS = -p $(DEVICE) -uc $(SYSTEM).ucf -bm $(SYSTEM).bmm -max_runs 7

FPGA_IMP_DEPENDENCY = $(BMM_FILE) $(POSTSYN_NETLIST) $(UCF_FILE) $(BITGEN_UT_FILE) $(XFLOW_DEPENDENCY)

#################################################################
# SOFTWARE APPLICATION REFSW
#################################################################

REFSW_SOURCES = RefSW/src/RefSW.c RefSW/src/mmm.c 

REFSW_HEADERS = RefSW/src/timer.h 

REFSW_CC = powerpc-eabi-gcc
REFSW_CC_SIZE = powerpc-eabi-size
REFSW_CC_OPT = -O2
REFSW_CFLAGS = 
REFSW_CC_SEARCH = # -B
REFSW_LIBPATH = -L./ppc405_0/lib/ # -L
REFSW_INCLUDES = -I./ppc405_0/include/  -IRefSW/src/ # -I
REFSW_LFLAGS = # -l
REFSW_LINKER_SCRIPT = RefSW/src/RefSW_LinkScr.ld
REFSW_LINKER_SCRIPT_FLAG = -Wl,-T -Wl,$(REFSW_LINKER_SCRIPT) 
REFSW_CC_DEBUG_FLAG =  -g 
REFSW_CC_PROFILE_FLAG = # -pg
REFSW_CC_GLOBPTR_FLAG= # -msdata=eabi
REFSW_CC_START_ADDR_FLAG=  #  # -Wl,-defsym -Wl,_START_ADDR=
REFSW_CC_STACK_SIZE_FLAG=  #  # -Wl,-defsym -Wl,_STACK_SIZE=
REFSW_CC_HEAP_SIZE_FLAG=  #  # -Wl,-defsym -Wl,_HEAP_SIZE=
REFSW_OTHER_CC_FLAGS= $(REFSW_CC_GLOBPTR_FLAG)  \
                  $(REFSW_CC_START_ADDR_FLAG) $(REFSW_CC_STACK_SIZE_FLAG) $(REFSW_CC_HEAP_SIZE_FLAG)  \
                  $(REFSW_LINKER_SCRIPT_FLAG) $(REFSW_CC_DEBUG_FLAG) $(REFSW_CC_PROFILE_FLAG) 
